[Installation] Problem mit Unfinished Business

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Bei der Installation von UB ist mir aufgefallen, dass es bei den beiden Komponenten - "Die Valygar/Suna-Beziehung" und "Wiederhergestellte kleine Dialoge" zu Fehlern kommt, und sie deshalb nicht installiert werden können:

[UB/tra/german/ubdialog.tra] has 347 translation strings
ERROR: No translation provided for @349

[UB/suna/CCSUNA.baf] ERROR at line 7 column 16-44
Near Text: @349
Not_found
ERROR: parsing [UB/suna/CCSUNA.baf]: Not_found
ERROR: error compiling [UB/suna/CCSUNA.baf]: Not_found
ERROR: compiling [UB/suna/CCSUNA.baf]!
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Die Suna Seni/Valygar-Beziehung], rolling back to previous state
Unable to Unlink [ub/backup/1/OTHER.1]: Unix.Unix_error(1, "unlink", "ub/backup/1/OTHER.1")
[ub/backup/1/UNSETSTR.1] SET_STRING uninstall info not found
Will uninstall 1 files for [UB/SETUP-UB.TP2] component 1.
Uninstalled 1 files for [UB/SETUP-UB.TP2] component 1.
Unable to Unlink [ub/backup/1/READLN.1]: Unix.Unix_error(20, "unlink", "ub/backup/1/READLN.1")
Unable to Unlink [ub/backup/1/READLN.1.TEXT]: Unix.Unix_error(20, "unlink", "ub/backup/1/READLN.1.TEXT")

Und

Compiling 1 dialogue file ...
ERROR: compiling [UB/udsimyaz_reaction.d]!
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [Wiederhergestellte kleinere Dialoge], rolling back to previous state
Unable to Unlink [ub/backup/18/OTHER.18]: Unix.Unix_error(1, "unlink", "ub/backup/18/OTHER.18")
Will uninstall 22 files for [UB/SETUP-UB.TP2] component 18.
Restoring backed-up [ub/backup/18/JAHEIRAJ.dlg]
ub/backup/18/JAHEIRAJ.dlg copied to override/JAHEIRAJ.dlg, 499107 bytes
Restoring backed-up [ub/backup/18/BYOSHIM.dlg]
ub/backup/18/BYOSHIM.dlg copied to override/BYOSHIM.dlg, 15906 bytes
Restoring backed-up [ub/backup/18/GARREN.dlg]
ub/backup/18/GARREN.dlg copied to override/GARREN.dlg, 20056 bytes
Restoring backed-up [ub/backup/18/BVALYGA.dlg]
ub/backup/18/BVALYGA.dlg copied to override/BVALYGA.dlg, 18519 bytes
Restoring backed-up [ub/backup/18/ANOMENJ.dlg]
ub/backup/18/ANOMENJ.dlg copied to override/ANOMENJ.dlg, 193605 bytes
Uninstalled 22 files for [UB/SETUP-UB.TP2] component 18.
Unable to Unlink [ub/backup/18/READLN.18]: Unix.Unix_error(20, "unlink", "ub/backup/18/READLN.18")
Unable to Unlink [ub/backup/18/READLN.18.TEXT]: Unix.Unix_error(20, "unlink", "ub/backup/18/READLN.18.TEXT")
 

Maus

Senior Member
Registriert
07.08.2002
Beiträge
7.817
Die englische version für die EET hat das Problem nicht. Der erste könnte ein Fehler in der Sprache sein. Hier kannst du vllt mal probeweise auf englisch installieren.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Hm, eine gute Idee, @Maus!
Leider geht das in dieser Installation nicht mehr.

Was mich wundert, ist, dass es bei diesen Komponenten plötzlich so gekommen ist ... in Version 26 war das noch nicht.
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
@Lumorus Benutzt du die deutsche Version und die WeiDu 247? Diese arbeitet mit einem amerikanischen ASCII? Schriftzeichensatz, statt mit einem neutralerem Latin? Satz. Vielleicht liegt da das Problem?
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
@Morywen Ob es eine deutsche Version generell ist, weiss ich nicht. Die Meine Version ist eine mehrsprachige, wo eine deutsche Übersetzung dabei ist. Aber ja, meine WeiDu ist eine Version 247. Gibt es da Unterschiede? :eek:
Soweit ich weiss, aktualisiert sich die WeiDu auch von selbst in eine neuere Version, wenn man sie verwendet?
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Mir ist noch etwas wegen der Suna/Valygar-Komponente eingefallen: Die Version 26 von UB, wo die Komponente noch installiert werden konnte, hatte eine Fehlermeldung, obwohl die Komponente richtig installiert wurde. Das kam von einer Textzeile in der ccsuna. baf.
In der ccsuna.baf der jetzigen Version 27 wurde diese Zeile entfernt ... vdas wäre auch eine Spur.
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
Ich habe gestern zufällig :shine: auch eine neue Installation gemacht. Da müsste ich mal schauen, welche UB Komponenten dabei waren. Ich hatte in der PI keine Fehlermeldung, dass UB Komponenten nicht installiert worden wären. Dafür hatte ich in das Problem, dass 1PP bei der ersten Cutszene einen Absturz verursachte. Obwohl das eigentlich meine übliche Auswahl war. Irgendwo ist da der Wurm drin, es ist nur die Frage wo und ob es immer der gleiche ist...
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Dafür hatte ich in das Problem, dass 1PP bei der ersten Cutszene einen Absturz verursachte. Obwohl das eigentlich meine übliche Auswahl war. Irgendwo ist da der Wurm drin, es ist nur die Frage wo und ob es immer der gleiche ist
Oha, das klingt haargenau, wie meine jüngsten Probleme mit generalized_biffing! Hast Du das zufällig auch am Start? Wenn ja, haben wir nun fürchte ich, das gleiche Problem (Dickes Sorry für offtopic! :o)
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
Oha, das klingt haargenau, wie meine jüngsten Probleme mit generalized_biffing! Hast Du das zufällig auch am Start? Wenn ja, haben wir nun fürchte ich, das gleiche Problem (Dickes Sorry für offtopic! :o)
Leider trat das mit und ohne auf. Ich schaue mir das nächste Woche mal an. Bei generalized biffing musst du alle anderen weidu.exe Dateien aus dem Ordner löschen und dann dei WeiDu 246 nehmen, mit der es auch kommt. Dann treten erstmal keine Probleme auf. Ich bin mir bei IA auch nicht sicher, ob da alles richtig installiert wurde mit der 247. Ich werde mir das mal von Hand ansehen und nicht über die PI laufen lassen.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
9.709
Wenn Ihr bzgl 1pp und generalized biffing was habt werde ich das an Gwendolyne weitergeben. Ich glaube beide Mods wurden vor nicht allzu langer Zeit geupdatet?
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
@Jastey Sind beide glaube ich dieses Jahr mit einem Update versehen worden. Ich glaube, dass aber auch das WeiDu Update von 246 auf 247 ein paar Probleme mit sich bringt. Weswegen ich das mal ausprobieren wollte, was da passiert. Der Absturz war eindeutig 1PP, denn als ich das weggelassen habe, kam es nicht mehr. dazu Das war unabhängig vom biffing. Ich weiß nur nicht, woran es gelegen hat.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
@Morywen Guter Tipp. probiere ich mal aus. :)
Die weidu, egal, welche VErsion, wird ja automatisch auf die 427 geupdatet, oder?

@Jastey Das wäre lieb, danke. :up:
Da fällt mir ein - hast Du nicht auch zufällig etwas an der neuesten Version von UB mitgearbeitet? Ich meine, mich zu erinnern, dass da was in der Readme stand.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
9.709
@Lumorus an der BGII UB nicht wirklich, zumindest bin ich da nicht zuständig. Ich würde aber weiterleiten.

Und die v247 habe ich glaube ich gar nicht bei mir - hier ist alles noch auf v246 und meine selbst gepackten Modpakete mit ALIENs Autopacker entpacke ich mir ja nicht mehr. :hae: @Morywen ja, da war was. Ich glaube, für Generalized Biffing war die Empfehlung, das unbedingt mit der 246 laufen zu lassen, also vorher alle setup-modname.exes aus dem Spieleordner zu entfernen und dann erst die Mod mit exe rüberzukopieren. Das war glaube ich die Generalized Biffing. Jep, war es. (Den Thread übrigens nicht mit Getränk im Mund lesen. :D )
Hm, eine neue gefixte Weidu-Version wäre auch ein schönes Weihnachtsgeschenk gewesen. Soll aber kein Vorwurf an Wisp sein.
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
@Jastey Wahrscheinlich ist das nicht so einfach zu fixen. Man muss da für die BGT vielleicht auf die PI verzichten, und eventuell eine 247 rauswerfen.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Ok, also zumindest die Suna/Valygar-Komponente lässt sich in englsicher Sprache installieren - also vielleicht wirklich etwas, dass bei der deutschen Übersetzung vergessen wurde.
Die Komponente "Wiederhergestellte kleinere Dialoge" funktioniert jedoch auch hier nicht.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Ok, die Komponente "UB/SETUP-UB.TP2~ #3 #12 // Wiederherstellung: Gegenstände: v28" sorgt wohl dafür, dass Gegenstände, zum Beispiel BLUN11 umgeschrieben werden ...

Der (Übersetzungsfehler) bei der Valygar&Suna-Komponente von oben existiert auch noch in V28
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Super, danke! :up:
 
Oben